#ifndef _INCLUDE_REVEMU_PROPER_H_
#define _INCLUDE_REVEMU_PROPER_H_

typedef uint64_t CSteamID;

enum EUserType
{
    k_eInvalid = -1,
    k_eSteamLegitUser = 0,
    k_eSteamCrackedUser,
    k_eRevEmuUser,
    k_eRevEmuUserOld,
    k_eSettiSRCScanBot,
    k_eRevEmuUserV74,
    k_eRevEmuUserVeryOld,
    k_eUnknownUser,
    k_eSteam2Legit,
    k_eSteam2Cracked
};

struct PlayerInfo_t
{
    unsigned int m_unUserID;
    CSteamID m_steamIDPlayer;
    EUserType m_ePlayerType;
    unsigned int m_unIP;
};

typedef bool (*pRev_BGetPlayerInfoByUserID) ( unsigned int unUserID, PlayerInfo_t* pPlayerInfo );
typedef bool (*pRev_BGetPlayerInfoBySteamID) ( CSteamID steamID, PlayerInfo_t* pPlayerInfo );

extern pRev_BGetPlayerInfoByUserID Rev_BGetPlayerInfoByUserID;
extern pRev_BGetPlayerInfoBySteamID Rev_BGetPlayerInfoBySteamID;

#endif // _INCLUDE_REVEMU_PROPER_H_
